For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Pipelines

This endpoint enables retrieving all Pipelines using pagination and optional filters.

get
/pipelines
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
orderBystring · enumOptional

The field to order the results by. If not provided, the results will be ordered by the default field.

Default: -createdDatePossible values:
Responses
200

Returned all requested Pipelines successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Pipeline resources.

Example: 930b1f07-e846-54fa-b447-9b78905ff2ef
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Pipeline resources.

Example: /pipelines
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/pipelines
GET /pipelines HTTP/1.1
Host: monitoring.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "930b1f07-e846-54fa-b447-9b78905ff2ef",
  "type": "collection",
  "href": "/pipelines",
  "items": [
    {
      "id": "f72521ba-1590-5998-bf96-6eb997a5887d",
      "type": "pipeline",
      "href": "/pipelines/f72521ba-1590-5998-bf96-6eb997a5887d",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "state": "AVAILABLE",
        "statusMessage": null,
        "grafanaEndpoint": "https://grafana.logging.de-txl.ionos.com",
        "httpEndpoint": "https://f8ss7fgr7s-metrics.jf9ejf8t6hrt.monitoring.de-txl.ionos.com",
        "key": "momSrlgAAEmaYEvBsMr^HsYn"
      },
      "properties": {
        "name": "Pipeline1"
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?